You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@cloudstack.apache.org by fr...@apache.org on 2014/09/19 00:58:00 UTC

git commit: updated refs/heads/master to d315a5e

Repository: cloudstack
Updated Branches:
  refs/heads/master 8a13f44b4 -> d315a5e2c


CLOUDSTACK-7522 : Update package.sh to exit rpm with return 1, if there are failure in build


Project: http://git-wip-us.apache.org/repos/asf/cloudstack/repo
Commit: http://git-wip-us.apache.org/repos/asf/cloudstack/commit/d315a5e2
Tree: http://git-wip-us.apache.org/repos/asf/cloudstack/tree/d315a5e2
Diff: http://git-wip-us.apache.org/repos/asf/cloudstack/diff/d315a5e2

Branch: refs/heads/master
Commit: d315a5e2c9fe24b299078190ad9f860c70c26647
Parents: 8a13f44
Author: rayeesn <ra...@citrix.com>
Authored: Thu Sep 18 08:31:16 2014 -0700
Committer: Frank.Zhang <fr...@citrix.com>
Committed: Thu Sep 18 16:01:53 2014 -0700

----------------------------------------------------------------------
 packaging/centos63/package.sh | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/cloudstack/blob/d315a5e2/packaging/centos63/package.sh
----------------------------------------------------------------------
diff --git a/packaging/centos63/package.sh b/packaging/centos63/package.sh
index 6de66e6..6a2d168 100755
--- a/packaging/centos63/package.sh
+++ b/packaging/centos63/package.sh
@@ -76,8 +76,14 @@ function packaging() {
 
     (cd $RPMDIR; rpmbuild --define "_topdir $RPMDIR" "${DEFVER}" "${DEFREL}" ${DEFPRE+"${DEFPRE}"} ${DEFOSSNOSS+"$DEFOSSNOSS"} "${DOS}" -bb SPECS/cloud.spec)
 
-    echo "Done"
+    if [ $? -ne 0 ]; then
+        echo "RPM Build Failed "
+        exit 1
+    else
+        echo "RPM Build Done"
+    fi
     exit
+
 }
 
 if [ $# -lt 1 ] ; then